<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">


<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Quicksand&display=swap" rel="stylesheet">
    <link rel="stylesheet" th:href="@{/css/log.css}" />

    <script src="https://kit.fontawesome.com/1927c4eb85.js" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>

    <link rel="stylesheet" th:href="@{/css/log.css}"/>
    <script type="text/javascript" th:src="@{/js/getTransactions.js}"></script>
    <script type="text/javascript" th:src="@{/js/getCategories.js}"></script>
    <script type="text/javascript" th:src="@{/js/deleteTransaction.js}"></script>

    <title>Transaction Log</title>
</head>

<body>
    <div class="split left">
        <div class="sidenav">
            <div class='menu '>
                <i class="fas fa-home fa-lg"></i>
                <a th:href="@{/home}">Home</a>
            </div>

            <div class='menu'>
                <i class="fas fa-chart-pie fa-lg"></i>
                <a th:href="@{/projects/__${projectId}__/log}"> History</a>
            </div>

            <div class='menu'>
                <i class="fas fa-user-alt fa-lg"></i>
                <a th:href="@{/projects/__${projectId}__/contributor}"> Contributor</a>
            </div>
        </div>
        <div class="flex-container">
            <div>1</div>
            <div>2</div>
            <div>3</div>
            <div>4</div>
            <div>5</div>
            <div>6</div>
            <div>7</div>
            <div>8</div>
            <div>9</div>
            <div>10</div>
            <div>11</div>
            <div>12</div>
        </div>
        <div class="centered">

            <div class='main'>
                <h1 class='title'>Transaction Log</h1> <br> <br>

                <div class='logs'>
                    <div class='row'>
                        <div class="col-sm-4 content">
                            <div class="card" style="width: 18rem;">
                                <div class="card-body">
                                    <ul id="transaction-list" class="list-group list-group-flush">
                                        <!-- Transactions will be inserted here -->
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="split right">
        <div class="centered">
            <div class="card" style="width: 36rem;">
                <div class="card-header">
                    <h5>Filter :</h5>
                </div>
                <div id="category-list">
                    <label for="startDate">Start - Date : </label>
                    <input type="date" id="startDate" name="startDate">
                    <label for="endDate">End - Date : </label>
                    <input type="date" id="endDate" name="endDate">
                    <input id="submit" type="submit">
                </div>
            </div>
            <a th:href="@{/projects/__${projectId}__/category-list}"> See All Categories</a>
        </div>
    </div>
</body>

</html>